com.impinj.octane

## Enum SpatialMode

- java.lang.Object
- - java.lang.Enum<SpatialMode>
  - - com.impinj.octane.SpatialMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SpatialMode>

      public enum SpatialMode
      extends java.lang.Enum<SpatialMode>

  An enumeration to describe a reader with direction or location role capabilities' operational mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Direction` Direction mode.
    `Inventory` Inventory mode.
    `Location` Location mode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpatialMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SpatialMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Inventory

          public static final SpatialMode Inventory

      Inventory mode. Reader will perform a tag inventory on all antennas.

    - #### Location

          public static final SpatialMode Location

      Location mode. Reader will report tag location.

    - #### Direction

          public static final SpatialMode Direction

      Direction mode. Reader will report tag direction.

  - ### Method Detail

    - #### values

          public static SpatialMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpatialMode c : SpatialMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpatialMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null